/*
 * @file exo_ahw_al_voltage_sequencer_stub.c
 *
 * @brief This file has abstracted stub functions of voltage sequencer
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include <stdlib.h>
#include "exo_ahw_al_voltage_sequencer_common.h"

#ifndef __weak
   #define __weak   __attribute__((weak))
#endif /* __weak */

__weak hal_ret_sts ahw_al_vsm_init()
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_rail_config(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_undervoltage_thrsld(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, float udr_vltg_thrsld)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_overvoltage_thrsld(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, float ovr_vltg_thrsld)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_enable_polarity(uint32_t ahw_id,  vltg_seq_rail_cfg* rail_info, uint8_t polarity)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_unsequence_time(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, uint16_t time)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_out_of_reg_width(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, uint16_t width)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_ramp_time(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, uint16_t ramp_tm)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_force_restart(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_restart(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_get_fw_version(uint32_t ahw_id, uint8_t* version)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_get_voltage(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, float *voltage)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_get_alrm_pndng_sts(uint32_t ahw_id, uint8_t* rail_err_sts)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_seq_type(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info,uint8_t seq_tp)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_seq_delay(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, uint16_t dly_tm)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_seq_prnt_vltg_lvl(uint32_t ahw_id, vltg_seq_rail_cfg* actual_rail_info, vltg_seq_rail_cfg* parent_rail_info, float voltage)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_seq_prnt_rail(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, vltg_seq_rail_num prnt_rail)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_vref_cfg(uint32_t ahw_id,uint8_t v_ref)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_glitch_alrm_cfg(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, uint8_t glth_alrm_sts)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_vsm_set_rail_alrm_typ(uint32_t ahw_id, vltg_seq_rail_cfg* rail_info, uint8_t alrm_typ)
{
	return HAL_DRIVER_DISABLED;
}






